from testUtils import *


def test_new_user(client):
    login = genererRandom()
    data = {"login": login}
    rv = client.post("/utilisateurs/newUser", json=data)
    assert rv.status_code == 201
    rv = client.post("/utilisateurs/newUser", json=data)
    assert rv.status_code == 409
    rv = client.delete('/utilisateurs/supprimerUser/' + login, headers=get_headers(client))
    assert rv.status_code == 200


def test_getAllUsers(client):
    rv = client.get('/utilisateurs/auteursExistants', headers=get_headers(client))
    assert rv.status_code == 200


def test_isUserExistant(client):
    login = creerUtilisateurRandom(client)
    response = client.get("/utilisateurs/checkUser?login=" + login)
    assert 200 == response.status_code
    response = client.get("/utilisateurs/checkUser?login=" + genererRandom())
    assert 400 == response.status_code
    client.delete('/utilisateurs/supprimerUser/' + login, headers=get_headers(client))


def test_change_password(client):
    pass
